<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m230731_073506_producer_latitude_longitude_double
 */
class m230731_073506_producer_latitude_longitude_double extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->alterColumn('producer', 'latitude', Schema::TYPE_DOUBLE);
        $this->alterColumn('producer', 'longitude', Schema::TYPE_DOUBLE);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->alterColumn('producer', 'latitude', Schema::TYPE_FLOAT);
        $this->alterColumn('producer', 'longitude', Schema::TYPE_FLOAT);
    }
}
